<template>
  <v-card>
    {{ order.status.toUpperCase() }}
    <v-card-title>
      {{ order.restaurant.name }}
    </v-card-title>
    <v-card-subtitle>{{
      order.restaurant.address.street +
      ', ' +
      order.restaurant.address.postalCode +
      ' ' +
      order.restaurant.address.city +
      ', ' +
      order.restaurant.address.country
    }}</v-card-subtitle>
    <v-card-text>
      <v-list dense>
        <v-list-item v-for="item in order.items" :key="item.name">
          <v-list-item-content>
            <v-list-item-title>{{ item.name }}</v-list-item-title>
            <v-list-item-subtitle>{{ '$' + item.price }}</v-list-item-subtitle>
            <v-list-item-subtitle>{{
              'x ' + item.quantity
            }}</v-list-item-subtitle>
          </v-list-item-content>
        </v-list-item>
      </v-list>
      <price-recap :items="order.items"></price-recap>
      <p>
        Ordered: {{ new Date(order.timestamps.ordered * 1000).toUTCString() }}
      </p>
      <p v-if="order.status === 'delivered'">
        Delivered:
        {{ new Date(order.timestamps.delivered * 1000).toUTCString() }}
      </p>
    </v-card-text>
    <v-card-actions>
      <v-btn
        v-if="order.status === 'delivering'"
        color="primary"
        nuxt
        to="/orders/track"
        disabled
      >
        Track
      </v-btn>
    </v-card-actions>
  </v-card>
</template>

<script lang="ts">
import Vue from 'vue'

export default Vue.extend({
  props: {
    order: {
      type: Object,
      required: true,
    },
  },
})
</script>
